## dtkwidget 5.5.48

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

project (DtkWidget
	VERSION "${DTK_REPO_MODULE_VERSION}"
	DESCRIPTION "DTK Widget module"
	HOMEPAGE_URL ""
	LANGUAGES CXX C
)

find_package (Qt5 CONFIG REQUIRED COMPONENTS DBus Xml)

set (BUILD_DOCS ON CACHE BOOL "Generate doxygen-based documentation")

if (BUILD_DOCS)
	add_subdirectory(doc)
endif ()

=== doc/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

find_package (Doxygen REQUIRED)

set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALLL_PREFIX}/share/DDE/dtk CACHE STRING "QCH install location")

set (DOXYGEN_GENERATE_HTML "NO" CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML "NO" CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP "YES" CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.zh_CN.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese" CACHE STRING "Doxygen Output Language")
set (DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)
set (DOXYGEN_IMAGE_PATH ${CMAKE_CURRENT_LIST_DIR}/images/)
set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.widget")
set (DOXYGEN_QCH_FILE "dtkwidget.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER "dtkwidget")
set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")

set (DOXYGEN_PREDEFINED
    "D_DECL_DEPRECATED_X(x)="
    "\"DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {\""
    "\"DCORE_END_NAMESPACE=}}\""
    "\"DCORE_USE_NAMESPACE=using namespace Dtk::Core\;\""
    "\"DWIDGET_BEGIN_NAMESPACE=namespace Dtk { namespace Widget {\""
    "\"DWIDGET_END_NAMESPACE=}}\""
    "\"DWIDGET_USE_NAMESPACE=using namespace Dtk::Widget\;\""
)
set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")

doxygen_add_docs (doxygen
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/doc
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)

install (FILES ${PROJECT_BINARY_DIR}/docs/html/dtkwidget.qch DESTINATION ${QCH_INSTALL_DESTINATION})

## dtkwidget 2.0.7.2

=== debian/changelog ===
dtkwidget (2.0.7.2-2build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:07:31 -0500

dtkwidget (2.0.7.2-2) unstable; urgency=medium

  * Let libdtkwidget recommends dde-qt5integration for Deepin Qt
    platformplugin support.
  * Apply "wrap-and-sort -abst".

 -- Boyuan Yang <073plan@gmail.com>  Mon, 02 Apr 2018 09:11:08 +0800

dtkwidget (2.0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Mar 2018 09:38:41 +0800

dtkwidget (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Refresh for version parsing.
  * d/rules: Add workaround to remove useless .in file.
  * d/control: Use Salsa platform for Vcs field.
  * d/copyright: Refresh copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 09 Mar 2018 01:06:24 +0800

dtkwidget (2.0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 04 Feb 2018 09:57:35 +0800

dtkwidget (2.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 18 Jan 2018 18:56:41 +0800

dtkwidget (2.0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Backport patches from upstream trunk.
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * Enable non-linux builds again.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 01 Jan 2018 16:04:53 +0800

dtkwidget (2.0.5.2-3) unstable; urgency=medium

  * Do not provide QtXcb private headers.
  * Bump Standards-Version to 4.1.2. (No changes needed)
  * Backport upstream patch to fix bug in getQssForWidget().

 -- Boyuan Yang <073plan@gmail.com>  Wed, 13 Dec 2017 16:54:49 +0800

dtkwidget (2.0.5.2-2) unstable; urgency=medium

  * Workaround QtXcb private headers and provide them with a patch.
  * Apply "dh-missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Tue, 05 Dec 2017 00:58:14 +0800

dtkwidget (2.0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Do not provide svgc tool for now since upstream will move it away soon.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 29 Nov 2017 01:04:44 +0800

dtkwidget (2.0.0-4) unstable; urgency=medium

  * Use shlibs file to circumvent symbols problems.
    We are going to rebuild the world after new release.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 01 Nov 2017 10:15:21 +0800

dtkwidget (2.0.0-3) unstable; urgency=high

  * Fix FTBFS on non-amd64 platforms. Closes: #880357
  * Limit architecture to linux-any since non-linux is not supported.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 31 Oct 2017 08:57:29 +0800

dtkwidget (2.0.0-2) unstable; urgency=medium

  [ Yanhao Mo ]
  * Fix typo about maintainter's email

  [ SZ Lin (林上智) ]
  * Bump Standards-Version to 4.1.1

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 29 Sep 2017 11:23:45 +0800

dtkwidget (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #869905)

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 27 Jul 2017 21:26:39 +0800

=== debian/control ===
Source: dtkwidget
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
 SZ Lin (林上智) <szlin@debian.org>,
Build-Depends:
 debhelper (>= 11),
 libdframeworkdbus-dev,
 libdtkcore-dev,
 libegl1-mesa-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libgsettings-qt-dev,
 libmtdev-dev,
 libpulse-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 librsvg2-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libxcb-util0-dev,
 libxext-dev,
 libxrender-dev,
 pkg-config,
 pkg-kde-tools,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 qttools5-dev-tools,
 x11proto-xext-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/dtkwidget
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget

Package: libdtkwidget-dev
Architecture: any
Section: libdevel
Depends:
 libdtkcore-dev,
 libdtkwidget2 (= ${binary:Version}),
 libqt5x11extras5-dev,
 qtmultimedia5-dev,
 ${misc:Depends},
Multi-Arch: same
Description: Deepin Tool Kit Widget library (development files)
 DtkWidget is the Deepin graphical user interface library for deepin
 desktop development.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files and static libraries which are
 needed for developing Deepin application.

Package: libdtkwidget2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dde-qt5integration,
Multi-Arch: same
Description: Deepin Tool Kit Widget library
 DtkWidget is the Deepin graphical user interface library for deepin
 desktop development.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

# Retrieve version info
include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

#
# DTK: Automatic version parsing
#
ifneq (,$(wildcard .git/config))
        CONFIG_VERSION=
else
_PACK_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
ifeq ($(_BUILD_VER),)
        CONFIG_VERSION = $(_PACK_VER)
else
        CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif
endif


%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	@echo "I: Current dtkcore VERSION is $(CONFIG_VERSION)"
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(CONFIG_VERSION)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_clean:
	dh_clean
	rm -vf translations/*qm

override_dh_missing:
	sh -c "rm -f debian/tmp/usr/lib/*/cmake/DtkWidget/DtkWidgetConfig.cmake.in"
	rm -rf debian/tmp/usr/lib/dtk2
	dh_missing --fail-missing

## dtkwidget 2.0.9.3

=== debian/changelog ===
dtkwidget (2.0.9.3-2) unstable; urgency=medium

  * debian/patches: Backport one upstream patch.
  * debian/control:
    + Update my uploader address to use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Sep 2018 08:29:10 -0400

dtkwidget (2.0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/shlibs: Bump version requirement to 2.0.9.3.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 25 Aug 2018 16:45:49 -0400

dtkwidget (2.0.9.2-1) unstable; urgency=medium

  * New upstream version 2.0.9.2
  * Bump Standards-Version to 4.2.0 (no changes needed).
  * d/rules: Get rid of debian-rules-parses-dpkg-parsechangelog.

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 08 Aug 2018 16:15:57 +0800

dtkwidget (2.0.9.1-2) unstable; urgency=medium

  * Fix problems about version parsing.

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 31 Jul 2018 10:35:19 +0800

dtkwidget (2.0.9.1-1) unstable; urgency=medium

  * New upstream version 2.0.9.1

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 30 Jul 2018 09:10:40 +0800

dtkwidget (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9
  * d/rules: Delete empty directory usr/include/libdtk-2.0.8/DCore .
  * Bump Standards-Version to 4.1.5. (no changes needed)

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 23 Jul 2018 14:19:29 +0800

dtkwidget (2.0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 16 May 2018 21:28:25 +0800

dtkwidget (2.0.8+git20180503-1) unstable; urgency=medium

  * New upstream snapshot.
  * Revert changes for maintainer address.
  * Refresh symbols files.
  * Add missing dependency libxi-dev.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 07 May 2018 16:44:19 +0800

dtkwidget (2.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Rebuild against new libdframeworkdbus.
  * Set Maintainer email address as team+pkg-deepin@tracker.debian.org.
  * Bump Standards-Version to 4.1.4. (no changes needed)
  * Set libdframeworkdbus-dev version requirement to 1.0+.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 15 Apr 2018 16:57:04 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
 Build-Depends:
- debhelper (>= 11),
- libdframeworkdbus-dev,
- libdtkcore-dev,
+ debhelper (>= 11~),
+ libdframeworkdbus-dev (>= 1.0~),
+ libdtkcore-dev (>= 2.0.8~),
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -24,6 +24,7 @@
  libudev-dev,
  libxcb-util0-dev,
  libxext-dev,
+ libxi-dev,
  libxrender-dev,
  pkg-config,
  pkg-kde-tools,
@@ -32,7 +33,7 @@
  qtmultimedia5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/dtkwidget
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget

=== debian/rules ===
--- 
+++ 
@@ -17,24 +17,26 @@
 # DTK: Automatic version parsing
 #
 ifneq (,$(wildcard .git/config))
-        CONFIG_VERSION=
+	CONFIG_VERSION=
 else
-_PACK_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$1}')
-_BUILD_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
-ifeq ($(_BUILD_VER),)
-        CONFIG_VERSION = $(_PACK_VER)
-else
-        CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
+	_PACK_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$1}')
+	_BUILD_VER = $(shell echo $(DEB_VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
+	ifeq ($(_BUILD_VER),)
+		CONFIG_VERSION = $(_PACK_VER)
+	else
+		CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
+	endif
 endif
-endif
-
 
 %:
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	@echo "I: Current dtkcore VERSION is $(CONFIG_VERSION)"
-	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(CONFIG_VERSION)
+	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf debian/tmp/usr/include/libdtk-2.0.9/DCore
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V

## dtkwidget 2.0.9.4

=== debian/changelog ===
dtkwidget (2.0.9.4-2) unstable; urgency=medium

  * d/changelog: Add missing changelog item for 2.0.9.3-2 for last upload.
  * d/patches: Drop patches, applyed by upstream.

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 15 Oct 2018 11:29:52 +0800

dtkwidget (2.0.9.4-1) unstable; urgency=medium

  * New upstream version 2.0.9.4
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * d/shlibs: Bump version requirement to 2.0.9.4.
  * d/patches: Drop all patches.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 14 Oct 2018 19:35:19 +0800

## dtkwidget 2.0.9.9

=== debian/changelog ===
dtkwidget (2.0.9.9-1) unstable; urgency=medium

  * New upstream release 2.0.9.9.
  * debian/shlibs: Bump version.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Nov 2018 23:45:20 -0500

## dtkwidget 2.0.9.10

=== debian/changelog ===
dtkwidget (2.0.9.10-1) unstable; urgency=medium

  * New upstream release 2.0.9.10.
  * debian/shlibs: Bump version.
  * debian/control:
    + Use debhelper-compat and remove deprecated debian/compat file.
    + R³: Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Dec 2018 21:08:22 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Yanhao Mo <yanhaocs@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  libdframeworkdbus-dev (>= 1.0~),
  libdtkcore-dev (>= 2.0.8~),
  libegl1-mesa-dev,
@@ -33,6 +33,7 @@
  qtmultimedia5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
+Rules-Requires-Root: no
 Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/dtkwidget
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git

## dtkwidget 2.0.9.11

=== debian/changelog ===
dtkwidget (2.0.9.11-1) unstable; urgency=medium

  * New upstream release 2.0.9.11.
  * debian/control: Bump Standards-Version to 4.3.0.
  * debian/shlibs: Bump version.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 09:17:31 +0800

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/dtkwidget
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget

## dtkwidget 2.0.9.14

=== debian/changelog ===
dtkwidget (2.0.9.14-1) unstable; urgency=medium

  * New upstream release 2.0.9.14.
  * debian/control: Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 18:58:47 -0500

## dtkwidget 2.0.9.16

=== debian/changelog ===
dtkwidget (2.0.9.16-1build1) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:34:55 +0000

dtkwidget (2.0.9.16-1) unstable; urgency=medium

  * New upstream release 2.0.9.16.

 -- Boyuan Yang <byang@debian.org>  Mon, 04 Feb 2019 15:28:59 -0500

## dtkwidget 2.0.9.17

=== debian/changelog ===
dtkwidget (2.0.9.17-1) unstable; urgency=medium

  * New upstream release 2.0.9.17.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Mar 2019 10:39:42 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Yanhao Mo <yanhaocs@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  libdframeworkdbus-dev (>= 1.0~),
  libdtkcore-dev (>= 2.0.8~),
  libegl1-mesa-dev,

## dtkwidget 2.1.1

=== debian/changelog ===
dtkwidget (2.1.1-1build3) focal; urgency=medium

  * No-change rebuild.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Apr 2020 22:27:25 +0100

dtkwidget (2.1.1-1build2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 19:57:09 +0100

dtkwidget (2.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:11 +0100

dtkwidget (2.1.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Sep 2019 14:10:13 -0400

dtkwidget (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream release 2.1.1.
  * debian/libdtkwidget2.install: Adjust to install files in the
    new structure.

 -- Boyuan Yang <byang@debian.org>  Mon, 19 Aug 2019 10:24:31 -0400

dtkwidget (2.0.16.1-1~exp1) experimental; urgency=medium

  * New upstream release 2.0.16.1.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Jul 2019 13:19:33 -0400

dtkwidget (2.0.15-1~exp1) experimental; urgency=medium

  * New upstream release 2.0.15.
  * debian/shlibs: Bump minimum version requirement to 2.0.11.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2019 11:56:51 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  libdframeworkdbus-dev (>= 1.0~),
- libdtkcore-dev (>= 2.0.8~),
+ libdtkcore-dev (>= 2.0.10~),
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -34,7 +34,7 @@
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/linuxdeepin/dtkwidget
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 export QT_SELECT := 5
 
 # Retrieve version info
-include /usr/share/dpkg/pkg-info.mk
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
 
 #
 # DTK: Automatic version parsing

## dtkwidget 5.2.2.10

=== debian/changelog ===
dtkwidget (5.2.2.10-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Tighten version of libdtkcore-dev to (>= 5.2~).
    + Replace libxcb-util0-dev with libxcb-util-dev.
  * debian/patches:
    + Drop 0001-Fix-build-failures-under-Qt-5.15.patch.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 20 Dec 2020 23:52:21 +0545

dtkwidget (5.2.2.10-1~exp1) experimental; urgency=medium

  [ Hu Feng ]
  * New upstream release 5.2.2.10.
  * debian/control
    + Add Hu Feng to the uploaders list.
    + Add libcups2-dev to Build-Depends.
    + Add libcups2-dev to Depends in libdtkwidget-dev package.
    + Add libdframeworkdbus2 to Depends in libdtkwidget5 package.
    + Delete libdframeworkdbus-dev (>= 1.0~) in Build-Depends.
    + Delete librsvg2-dev in Build-Depends

  [ Arun Kumar Pariyar ]
  * debian/copyright: Update license information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Tue, 03 Nov 2020 21:06:35 +0545

dtkwidget (5.2.2.2-1~exp1) experimental; urgency=medium

  [ Arun Kumar Pariyar ]
  * New upstream release 5.2.2.2.
  * debian/control:
    + Bump library SONAME to 5.
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Add Arun Kumar Pariyar to the uploaders list.
    + Add libdtkwidget5-bin package.
    + Add libdtkgui-dev to Build-Depends.
  * debian/copyright: Add license information to conanfile.py.
  * debian/rules: Cleanup with updates to ensure proper build.
  * Add debian/libdtkwidget5-bin.install

  [ Boyuan Yang ]
  * debian/copyright: Update license information (upstream relicensed
    whole project under LGPL instead of GPL).
  * debian/: Review and relicense under LGPL.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 12 Jul 2020 16:00:32 +0545

dtkwidget (2.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972155).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Oct 2020 14:08:37 +0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,13 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
- debhelper-compat (= 12),
- libdframeworkdbus-dev (>= 1.0~),
- libdtkcore-dev (>= 2.0.10~),
+ debhelper-compat (= 13),
+ libcups2-dev,
+ libdtkcore-dev (>= 5.2~),
+ libdtkgui-dev,
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -19,10 +22,9 @@
  libpulse-dev,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
- librsvg2-dev,
  libstartup-notification0-dev,
  libudev-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxext-dev,
  libxi-dev,
  libxrender-dev,
@@ -34,7 +36,7 @@
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/dtkwidget
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget
@@ -43,8 +45,10 @@
 Architecture: any
 Section: libdevel
 Depends:
+ libcups2-dev,
  libdtkcore-dev,
- libdtkwidget2 (= ${binary:Version}),
+ libdtkgui-dev,
+ libdtkwidget5 (= ${binary:Version}),
  libqt5x11extras5-dev,
  qtmultimedia5-dev,
  ${misc:Depends},
@@ -58,9 +62,10 @@
  This package contains the header files and static libraries which are
  needed for developing Deepin application.
 
-Package: libdtkwidget2
+Package: libdtkwidget5
 Architecture: any
 Depends:
+ libdframeworkdbus2,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -73,3 +78,22 @@
  This package is part of DDE (Deepin Desktop Environment).
  .
  This package contains the shared libraries.
+
+Package: libdtkwidget5-bin
+Architecture: any
+Depends:
+ libdtkcore-dev,
+ libdtkwidget5( =${binary:Version}),
+ libqt5svg5-dev,
+ libqt5x11extras5-dev,
+ qtmultimedia5-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Deepin Tool Kit Widget library utilities
+ DtkWidget is the Deepin graphical user interface library for deepin
+ desktop development.
+ .
+ This package is part of DDE (Deepin Desktop Environment).
+ .
+ This package contains the utilities which are needed for developing
+ Deepin applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

# Retrieve version info
include /usr/share/dpkg/default.mk

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## dtkwidget 5.4.20

=== debian/changelog ===
dtkwidget (5.4.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Apr 2021 10:17:39 +0800

dtkwidget (5.0.0) unstable; urgency=medium

  * Release 5.0.0

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 03 Sep 2019 10:50:03 +0800

dtkwidget (2.0.7.2) unstable; urgency=medium

  * Release 2.0.7.2

 -- Iceyer <me@iceyer.net>  Wed, 02 May 2018 09:56:59 +0800

dtkwidget (2.0.0-0) unstable; urgency=medium

  * Release 2.0.0.

 -- Iceyer <me@iceyer.net>  Tue, 22 Aug 2017 19:38:45 +0800

dtkwidget (0.3.3-1) unstable; urgency=low

  * Initial release. Merge from deepin-tool-kit.

 -- TagBuilder <tagbuilder@deepin.com>  Wed, 26 Jul 2017 17:10:12 +0800

=== debian/control ===
Source: dtkwidget
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), pkg-config, libudev-dev,
 libqt5x11extras5-dev, libxext-dev, qttools5-dev-tools,
 x11proto-xext-dev, libxcb-util0-dev, libstartup-notification0-dev,
 libmtdev-dev, qtbase5-private-dev, libegl1-mesa-dev, libudev-dev,
 libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev,
 libdtkcore-dev, libgsettings-qt-dev, libqt5svg5-dev, libxi-dev,
 libdtkgui-dev, libcups2-dev, libgtest-dev
Standards-Version: 3.9.8

Package: libdtkwidget5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkcommon
Multi-Arch: same
Description: Deepin graphical user interface library
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains the shared libraries.

Package: libdtkwidget5-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkwidget5( =${binary:Version}),
 libqt5x11extras5-dev, libdtkcore-dev, libqt5svg5-dev
Description: Deepin graphical user interface library utilities
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains the utilities which are
 needed for developing Deepin applications.

Package: libdtkwidget-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkwidget5( =${binary:Version}),
 libqt5x11extras5-dev, libdtkcore-dev, libqt5svg5-dev,
 libdtkgui-dev, libcups2-dev
Description: Deepin graphical user interface library
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains the header files and static libraries which are
 needed for developing Deepin applications.

## dtkwidget 5.5.37

=== debian/changelog ===
dtkwidget (5.5.37-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 17:56:40 +0300

dtkwidget (5.5.37-1) unstable; urgency=medium

  * New upstream version 5.5.37.
  * debian/control: Add a dependency(libqt5widgets5)
    of the libdtkwidget5 package.
  * debian/copyright: updated.
  * debian/libdtkwidget5.shlibs: update to version 5.5.37.

 -- Clay Stan <claystan97@gmail.com>  Thu, 24 Feb 2022 14:14:04 +0800

dtkwidget (5.5.17.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 16:02:53 -0500

dtkwidget (5.5.17.1-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.6.0.
  * debian/control: Correctly build-depends on libdframeworkdbus-dev.
  * debian/control: Apply "wrap-and-sort -abst".

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Nov 2021 23:39:14 -0500

dtkwidget (5.5.17.1-1~exp1) experimental; urgency=medium

  * New upstream version 5.5.17.1.
  * remove symbols file.
  * build a new binary package:dtkwidget5-examples

 -- Clay Stan <claystan97@gmail.com>  Sat, 28 Aug 2021 19:05:24 +0800

dtkwidget (5.4.16-1) unstable; urgency=medium

  * New upstream version 5.4.16.

 -- Clay Stan <claystan97@gmail.com>  Tue, 27 Apr 2021 13:35:02 +0800

dtkwidget (5.4.1-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.4.1.
  * debian/rules:
    + Delete empty Dir
  * debian/contol:
    + Add Clay Stan to the Uploaders list
  [ Hu Feng ]
  * debian/control:
    + Tighten version of libdtkgui-dev to (>= 5.4~).
    + Delete libpulse-dev in Build-Depends.
    + Delete pkg-kde-tools in Build-Depends.
    + Delete qtbase5-dev in Build-Depends.
    + Delete qtmultimedia5-dev in Build-Depends.
    + Add libqt5svg5-dev to Depends in libdtkwidget-dev package.
    + Delete qtmultimedia5-dev to Depends in libdtkwidget-dev package.
    + Tighten version of libdtkgui-dev to (>= 5.4~)
      in libdtkwidget-dev packages.
    + Delete qtmultimedia5-dev to Depends in libdtkwidget5-bin package.
  * debian/patches:
     Add 0001-fix-enbale-style-for-non-dde.patch

 -- Hu Feng <hufeng@uniontech.com>  Thu, 25 Feb 2021 15:42:11 +0800

=== debian/control ===
Source: dtkwidget
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 SZ Lin (林上智) <szlin@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Hu Feng <hufeng@uniontech.com>,
 Clay Stan <claystan97@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 libcups2-dev,
 libdframeworkdbus-dev (>= 5.4.20~),
 libdtkcore-dev (>= 5.5.17),
 libdtkgui-dev (>= 5.5.17),
 libegl1-mesa-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libgsettings-qt-dev,
 libgtest-dev,
 libmtdev-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libxcb-util-dev,
 libxext-dev,
 libxi-dev,
 libxrender-dev,
 pkg-config,
 qtbase5-private-dev,
 qttools5-dev-tools,
 x11proto-xext-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/dtkwidget
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget

Package: dtkwidget5-examples
Architecture: any
Depends:
 libdtkwidget5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: dtkwidget-examples is generated by dtkwidget
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains example application which are
 needed for developing Deepin applications.

Package: libdtkwidget-dev
Architecture: any
Section: libdevel
Depends:
 libcups2-dev,
 libdtkcore-dev (>= 5.5.17),
 libdtkgui-dev (>= 5.5.17),
 libdtkwidget5 (= ${binary:Version}),
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 ${misc:Depends},
Multi-Arch: same
Description: Deepin Tool Kit Widget library (development files)
 DtkWidget is the Deepin graphical user interface library for deepin
 desktop development.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files and static libraries which are
 needed for developing Deepin application.

Package: libdtkwidget5
Architecture: any
Depends:
 libdtkcommon,
 ${misc:Depends},
 ${shlibs:Depends},
 libqt5widgets5,
Recommends:
 dde-qt5integration,
Multi-Arch: same
Description: Deepin Tool Kit Widget library
 DtkWidget is the Deepin graphical user interface library for deepin
 desktop development.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the shared libraries.

Package: libdtkwidget5-bin
Architecture: any
Depends:
 libdtkcore-dev (>= 5.5.17),
 libdtkwidget5 (= ${binary:Version}),
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Widget library utilities
 DtkWidget is the Deepin graphical user interface library for deepin
 desktop development.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the utilities which are needed for developing
 Deepin applications.

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,13 @@
 
 export QT_SELECT := 5
 
-# Retrieve version info
-include /usr/share/dpkg/default.mk
-
 # Explicitly enable hardening
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-include /usr/share/dpkg/architecture.mk
+# Retrieve version info
+include /usr/share/dpkg/default.mk
+
 
 
 %:

## dtkwidget 5.5.41

=== debian/changelog ===
dtkwidget (5.5.41-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 13:36:41 +0800

## dtkwidget 5.5.42

=== debian/changelog ===
dtkwidget (5.5.42-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 13 Apr 2022 10:31:06 +0800

## dtkwidget 5.5.46

=== debian/changelog ===
dtkwidget (5.5.46-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Jun 2022 10:47:08 +0800

## dtkwidget 5.5.48

=== debian/changelog ===
dtkwidget (5.5.48-3build4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 10:19:21 +0300

dtkwidget (5.5.48-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:05:17 +0000

dtkwidget (5.5.48-3build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:16:57 +0000

dtkwidget (5.5.48-3build1) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 21:43:27 +0300

dtkwidget (5.5.48-3) unstable; urgency=medium

  * debian/clean: Clean generated files. (Closes: #1044201)
  * debian/control: Update Vcs-Git with debian/sid.

 -- Arun Kumar Pariyar <arun@debian.org>  Sat, 19 Aug 2023 02:56:41 +0545

dtkwidget (5.5.48-2) unstable; urgency=medium

  * debian/patches: Drop explicit cxx11 to fix ftbfs with googletest.
  * debian/control:
    + Bump Standards Version to 4.6.2.
    + Update my Uploaders email to debian.org email.
    + Replace libfontconfig1-dev with libfontconfig-dev
    + Replace libfreetype6-dev with libfreetype-dev

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 21 Jun 2023 02:57:25 +0545

dtkwidget (5.5.48-1) unstable; urgency=medium

  * New upstream release 5.5.48.
  * debian/rules: Add buildsystem=qmake.
  * debian/libdtkwidget5.shlibs: update to version 5.5.48.

 -- Clay Stan <claystan97@gmail.com>  Tue, 02 Aug 2022 13:36:53 +0800

dtkwidget (5.5.45-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 12:25:12 -0400

dtkwidget (5.5.44-1) unstable; urgency=medium

  * New upstream release.
  * debian/libdtkwidget5.shlibs: update to version 5.5.44.
  * debian/libdtkwidget5.install{amd64,i386}: Dropped, useless.
  * debian/control: Drop useless hard dependency libqt5widgets5,
    use dh_shlibdeps to automatically infer this dependency.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Apr 2022 19:12:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: dtkwidget
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
- Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Arun Kumar Pariyar <arun@debian.org>,
  Hu Feng <hufeng@uniontech.com>,
  Clay Stan <claystan97@gmail.com>,
 Build-Depends:
@@ -16,8 +17,8 @@
  libdtkcore-dev (>= 5.5.17),
  libdtkgui-dev (>= 5.5.17),
  libegl1-mesa-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libglib2.0-dev,
  libgsettings-qt-dev,
  libgtest-dev,
@@ -32,12 +33,13 @@
  libxrender-dev,
  pkg-config,
  qtbase5-private-dev,
+ qttools5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/linuxdeepin/dtkwidget
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
+Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget
 
 Package: dtkwidget5-examples
@@ -79,7 +81,6 @@
  libdtkcommon,
  ${misc:Depends},
  ${shlibs:Depends},
- libqt5widgets5,
 Recommends:
  dde-qt5integration,
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## dtkwidget 5.5.53

=== debian/changelog ===
dtkwidget (5.5.53-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 31 Aug 2022 15:21:11 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)


VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif

%:
	dh $@ --buildsystem=qmake --parallel

#override_dh_auto_configure:
#	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
#override_dh_makeshlibs:
#	dh_makeshlibs -V

#ifeq ($(DEB_BUILD_ARCH), sw_64)
#override_dh_makeshlibs:
#	dh_makeshlibs -V -- -c0
#endif

override_dh_makeshlibs:
	dh_makeshlibs  -V "libdtkwidget5 (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtkwidget 5.5.57

=== debian/changelog ===
dtkwidget (5.5.57-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:59:19 +0800

## dtkwidget 5.6.1

=== debian/changelog ===
dtkwidget (5.6.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 14 Nov 2022 09:34:30 +0800

dtkwidget (5.6.1) unstable; urgency=medium

  * snipe release 5.6.1

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 11 Jul 2022 17:18:51 +0800

dtkwidget (5.6.0.1) unstable; urgency=medium

  * develop/snipe 5.6.0.1

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 01 Jul 2022 12:03:04 +0800

dtkwidget (5.5.42.1) unstable; urgency=medium

  * Release 5.5.42.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 10:11:06 +0800

## dtkwidget 5.6.2.2

=== debian/changelog ===
dtkwidget (5.6.2.2-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Dec 2024 14:37:25 -0500

dtkwidget (5.6.2.2-1~exp1) experimental; urgency=medium

  * New upstream release 5.6.2.
  * debian/rules: Migrate to cmake.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Dec 2022 11:15:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dtkwidget
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -11,11 +10,13 @@
  Hu Feng <hufeng@uniontech.com>,
  Clay Stan <claystan97@gmail.com>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
  libcups2-dev,
  libdframeworkdbus-dev (>= 5.4.20~),
- libdtkcore-dev (>= 5.5.17),
- libdtkgui-dev (>= 5.5.17),
+ libdtkcore-dev (>= 5.6.2~),
+ libdtkcore5-bin,
+ libdtkgui-dev (>= 5.6.2~),
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,
@@ -31,15 +32,15 @@
  libxext-dev,
  libxi-dev,
  libxrender-dev,
- pkg-config,
+ pkgconf,
  qtbase5-private-dev,
  qttools5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/linuxdeepin/dtkwidget
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget
 
 Package: dtkwidget5-examples

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Retrieve version info
include /usr/share/dpkg/default.mk



%:
	dh $@

# TODO: enable doc build (qch)
override_dh_auto_configure:
	dh_auto_configure -- \
            -DBUILD_PLUGINS=OFF \
            -DBUILD_DOCS=OFF \
            -DDVERSION=$(DEB_VERSION_UPSTREAM) \
            $(NULL)
